# Class ConfirmPaymentReceivedReply

#### Hierarchy

- unknown
  - ConfirmPaymentReceivedReply

- Defined in src/protobuf/grpc_pb.d.ts:2482
- Defined in src/protobuf/grpc_pb.d.ts:2491

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ConfirmPaymentReceivedReply(): ConfirmPaymentReceivedReply

- #### Returns ConfirmPaymentReceivedReply

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2483

### toObject

- toObject(includeInstance?: boolean): ConfirmPaymentReceivedReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ConfirmPaymentReceivedReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2484

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ConfirmPaymentReceivedReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ConfirmPaymentReceivedReply

  - Defined in src/protobuf/grpc_pb.d.ts:2487

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ConfirmPaymentReceivedReply, reader: BinaryReader): ConfirmPaymentReceivedReply

- #### Parameters

  - ##### message: ConfirmPaymentReceivedReply

  - ##### reader: BinaryReader

  #### Returns ConfirmPaymentReceivedReply

  - Defined in src/protobuf/grpc_pb.d.ts:2488

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ConfirmPaymentReceivedReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ConfirmPaymentReceivedReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2486

### `Static` toObject

- toObject(includeInstance: boolean, msg: ConfirmPaymentReceivedReply): ConfirmPaymentReceivedReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ConfirmPaymentReceivedReply

  #### Returns ConfirmPaymentReceivedReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2485

Generated using TypeDoc